# Class FileHandleCache

Class FileHandleCache

Declaration :

- C++ : class FileHandleCache

Relation handles (<directional composition>)

Declaration :

- Uml : # handles : FileHandle, multiplicity : *
- C++ : protected: list<FileHandle> handles

Stereotype: list

Attribut handles_available

initialized to the maximum number of filehandles the backend may use for mapped files. When no handles are available, the handle which is last in the handles list is closed and (re-)used.
Else this number is decremented for each new filehandle used and incremented for any one explicitly freed.

Declaration :

- Uml : - handles_available : int
- C++ : private: int handles_available